#include <stdio.h>
int main()
{
 int x,cj,cd,cs,min,sr,max,br;
 scanf("%d", &x);
  if (x>99 && x<1000)
  {
    cj=(x%10);
    cd=((x/10)%10);
    cs=(x/100);
         
    min= (cj<cd && cj<cs) ? cj : (cd<cj && cd<cs) ? cd : cs;
    sr= ((cj<cd && cj>cs) || (cj<cs && cj>cd)) ? cj : ((cd<cj && cd>cs) || (cd<cs && cd>cj)) ? cd : cs;
    max= (cj>cd && cj>cs) ? cj : (cd>cj && cd>cs) ? cd : cs;
    if (cd==0 && cj==0) br=cs; else br=min*100+sr*10+max;
    printf("%d", br);
  }
  else printf("-1");
 return 0; 
}